## ocaml-websocket 2.17

=== Makefile ===
all:
	dune build @all

clean:
	dune clean

=== debian/changelog ===
ocaml-websocket (2.17-1build8) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:50:48 +0200

ocaml-websocket (2.17-1build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Sep 2025 08:20:30 +0200

ocaml-websocket (2.17-1build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:37:59 +0200

ocaml-websocket (2.17-1build5) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 May 2025 07:35:17 -0400

ocaml-websocket (2.17-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:47:27 +0100

ocaml-websocket (2.17-1build3) plucky; urgency=medium

  * No change rebuild against new OCAML ABIs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 09:54:10 +0100

ocaml-websocket (2.17-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:32:59 +0100

ocaml-websocket (2.17-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 22:13:57 +0100

ocaml-websocket (2.17-1) unstable; urgency=medium

  * Initial release (Closes: #1094983)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 05 Feb 2025 09:34:42 +0100

=== debian/control ===
Source: ocaml-websocket
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libbase64-ocaml-dev,
 liblwt-log-ocaml-dev,
 libcohttp-lwt-unix-ocaml-dev,
 libocplib-endian-ocaml-dev,
 libastring-ocaml-dev,
 libmirage-crypto-ocaml-dev,
 dh-ocaml (>= 2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/vbmithr/ocaml-websocket
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-websocket
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-websocket.git

Package: libwebsocket-ocaml-dev
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: WebSocket library (dev)
 The WebSocket Protocol enables two-way communication between a client
 running untrusted code in a controlled environment to a remote host
 that has opted-in to communications from that code.
 .
 The security model used for this is the origin-based security model
 commonly used by web browsers. The protocol consists of an opening
 handshake followed by basic message framing, layered over TCP.
 .
 The goal of this technology is to provide a mechanism for
 browser-based applications that need two-way communication with
 servers that does not rely on opening multiple HTTP connections
 (e.g., using XMLHttpRequest or <iframe>s and long polling).
 .
 This package contains development files.

Package: libwebsocket-ocaml
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: WebSocket library (runtime)
 The WebSocket Protocol enables two-way communication between a client
 running untrusted code in a controlled environment to a remote host
 that has opted-in to communications from that code.
 .
 The security model used for this is the origin-based security model
 commonly used by web browsers. The protocol consists of an opening
 handshake followed by basic message framing, layered over TCP.
 .
 The goal of this technology is to provide a mechanism for
 browser-based applications that need two-way communication with
 servers that does not rely on opening multiple HTTP connections
 (e.g., using XMLHttpRequest or <iframe>s and long polling).
 .
 This package contains runtime files.


Package: libwebsocket-lwt-unix-ocaml-dev
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: WebSocket library (Lwt support) (dev)
 The WebSocket Protocol enables two-way communication between a client
 running untrusted code in a controlled environment to a remote host
 that has opted-in to communications from that code.
 .
 The security model used for this is the origin-based security model
 commonly used by web browsers. The protocol consists of an opening
 handshake followed by basic message framing, layered over TCP.
 .
 The goal of this technology is to provide a mechanism for
 browser-based applications that need two-way communication with
 servers that does not rely on opening multiple HTTP connections
 (e.g., using XMLHttpRequest or <iframe>s and long polling).
 .
 This package contains the Lwt support.
 .
 This package contains development files.

Package: libwebsocket-lwt-unix-ocaml
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: WebSocket library (Lwt support) (runtime)
 The WebSocket Protocol enables two-way communication between a client
 running untrusted code in a controlled environment to a remote host
 that has opted-in to communications from that code.
 .
 The security model used for this is the origin-based security model
 commonly used by web browsers. The protocol consists of an opening
 handshake followed by basic message framing, layered over TCP.
 .
 The goal of this technology is to provide a mechanism for
 browser-based applications that need two-way communication with
 servers that does not rely on opening multiple HTTP connections
 (e.g., using XMLHttpRequest or <iframe>s and long polling).
 .
 This package contains the Lwt support.
 .
 This package contains runtime files.

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/vbmithr/ocaml-websocket/releases?per_page=50 \
https://github.com/vbmithr/ocaml-websocket/releases/download/[^/]+/websocket-@ANY_VERSION@\.tbz
